Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class AccessTracking

    java.lang.Object
      scone.Plugin
          scone.accesstracking.AccessTracking

    public class AccessTracking

extends Plugin

Field Summary
`protected static PersistentProperties` | `props`

Fields inherited from class scone.Plugin
`ACCESSTRACKING, ACCESSTRACKING2, ADDPREAMBLE, CALCFINGERPRINT, CONSIDERINCLUSIONS, CONSIDERKEYWORDS, CONSIDERLINKS, COPYRIGHT, DECENT_HOST_CONDITION, HTDOCCONDITION, NO_HTDOCCONDITION, NOCACHE, NOREQUIREMENTS, PAGETIMEOUT, PARSEDOCUMENT, POSTDATA, RAS, RESOURCEGENERATOR, SAVEBODYTEXT, SAVESOURCECODE, USEPARSINGMEG`

Constructor Summary
`AccessTracking()`

Method Summary
`int` | `getConnectionPort()` returns the connection port used by RAS.
`int` | `getRasPort()` Specify the port of the RAS-Server.
`int` | `getRequirements()` Define the requirements of this plugin by implementing this method.
`int` | `getResourcePort()` returns the resource port of scone, where to load the included HTML and JavaScript code.
`java.lang.String` | `getSconeIP()` returns the IP-Address of scone.
`void` | `init()` Initialize Accesstracking: read local address, ras port etc, set up ras etc.
`void` | `terminate()` overwrite this method to be notified when the Proxy terminates

Methods inherited from class scone.Plugin
`addMeg, disable, displayConfigGUI, displayConfigGUI, enable, getProperties, init, saveProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### props

    protected static PersistentProperties props

Constructor Detail

### AccessTracking

    public AccessTracking()

Method Detail

### getRequirements

    public int getRequirements()

  Description copied from class: `Plugin`
  Define the requirements of this plugin by implementing this method.
  A plugin has to specify its requirements which can be as follows:
  NOREQUIREMENTS use this keyword if your plugin does not require any feature.
  PARSEDOCUMENT if required, the HtmlDocument objects will be created and filled.
  ACCESSTRACKING if required, scone's usertracking feature is used
  CONSIDERLINKS if required, Link Objects will be created and filled and LinkToken objects will be created
  CONSIDERINCLUSIONS if required, INCLUSION objects will be created and filled.
  CONSIDERKEYWORDS if required, Keyword objects will be created and filled. This feature will automatically require PARSEDOCUMENT.
  ADDPREAMBLE causes the AddPreambleEditor to be added to the proxy.
  RESOURCEGENERATOR causes the GeneralResourceGenerator to be added to the proxy
  RAS The Remote Access Server is started.

  These requirements have to be combined by the | operator: PARSEDOCUMENT | CONSIDERLINKS will cause scone to create HtmlDocument objects, Link objects and LinkToken objects.

  If a feature is not required by any of the registered plugins, scone will not support it at runtime.

  Specified by:
    `getRequirements` in class `Plugin`
  Returns:
    the requirements

### getRasPort

    public int getRasPort()

  Description copied from class: `Plugin`
  Specify the port of the RAS-Server. This has to be implemented for your Plugin if you want to use the RAS-Server

  Overrides:
    `getRasPort` in class `Plugin`
  Returns:
    The number of the port to be used by the Server.

### init

    public void init()

  Initialize Accesstracking: read local address, ras port etc, set up ras etc.

  Specified by:
    `init` in class `Plugin`

### getSconeIP

    public java.lang.String getSconeIP()

  returns the IP-Address of scone. Used e.g. für the RAS-Connection.

### getConnectionPort

    public int getConnectionPort()

  returns the connection port used by RAS.

### getResourcePort

    public int getResourcePort()

  returns the resource port of scone, where to load the included HTML and JavaScript code. Should usually be 8088.

### terminate

    public void terminate()

  Description copied from class: `Plugin`
  overwrite this method to be notified when the Proxy terminates

  Overrides:
    `terminate` in class `Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD